import { findCommentNode as e } from "../utils/cst-utils.js";
import { isAstNodeWithComment as t } from "../serializer/json-serializer.js";
//#region ../../node_modules/langium/lib/documentation/comment-provider.js
var n = class {
	constructor(e) {
		this.grammarConfig = () => e.parser.GrammarConfig;
	}
	getComment(n) {
		return t(n) ? n.$comment : e(n.$cstNode, this.grammarConfig().multilineCommentRules)?.text;
	}
};
//#endregion
export { n as DefaultCommentProvider };
